Enhancing STC and cleaning up various test topos.

Change-Id: I7f5b349835ebf3d7da824be0aa2cddd860631f84
diff --git a/tools/test/bin/onos-check-apps b/tools/test/bin/onos-check-apps
index db5a473..8dfe9f0 100755
--- a/tools/test/bin/onos-check-apps
+++ b/tools/test/bin/onos-check-apps
@@ -3,6 +3,9 @@
 # Checks whether all and only the ONOS apps configured in ONOS_APPS are active.
 # -----------------------------------------------------------------------------
 
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+
 aux=/tmp/stc-$$.log
 trap "rm -f $aux $aux.1 $aux.2 2>/dev/null" EXIT